List all categories
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/catalog/marketplace/categories \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/catalog/marketplace/categories"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/storefront/catalog/marketplace/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"categories": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"parent_category_id": "<string>",
"product_count": 123,
"active": true,
"child_categories": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"parent_category_id": "<string>",
"product_count": 123,
"active": true
}
]
}
],
"pagination": {
"total_records": 123,
"total_pages": 123,
"limit": 123,
"next_page": 123,
"previous_page": 123
}
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"error": {}
}{
"message": "<string>",
"success": false,
"code": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>"
}Catalog
List all categories
Returns a list of your product categories. The categories are returned sorted by creation date, with the most recently created categories appearing first.
GET
/
catalog
/
marketplace
/
categories
List all categories
Authorizations
Access token
Query Parameters
search keyword
JSON string format: {"field1":"asc", "field2":"desc"} json string in format {'field_name':'asc', 'other_field_name':'desc', ...}
Example:
"{\"country\":\"asc\",\"city\":\"asc\",\"population\":\"desc\"}"
return child categories up to nesting level
Required range:
0 <= x <= 4To return child categories using category id.
Example:
"01JWZW41Y3FBKTZSP399SKANY7"
To return child categories using category slug
Example:
"vitals"
Was this page helpful?
⌘I